using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;
using Dao;

namespace Service.Implement
{
    public class HotelAirControlManager : GenericManagerBase<HotelAirControl>, IHotelAirControlManager
    {
        public IList<HotelAirControl> LoadAllByPage(out long total, int page, int rows, string order, string sort)
        {
            return ((Dao.IHotelAirControlRepository)(this.CurrentRepository)).LoadAllByPage(out total, page, rows, order, sort).ToList();
        }

        public List<HotelAirControl> LoadByHotelID(int hotelID)
        {
            return ((Dao.IHotelAirControlRepository)(this.CurrentRepository)).LoadByHotelID(hotelID);
        }
    }
}
